1. [automaton@ip-10-183-130-10 ~]$ cat /etc/redhat-release
  2. CentOS release 6.2 (Final)
  3. [automaton@ip-10-183-130-10 ~]$ sudo yum install dsc21
  4. Loaded plugins: security
  5. base                                                                                                                                               | 3.7 kB     00:00    
  6. base/primary_db                                                                                                                                    | 4.5 MB     00:00    
  7. centosplus                                                                                                                                         | 3.5 kB     00:00    
  8. centosplus/primary_db                                                                                                                              | 1.7 MB     00:00    
  9. epel                                                                                                                                               | 4.0 kB     00:00    
  10. epel/primary_db                                                                                                                                    | 4.6 MB     00:00    
  11. extras                                                                                                                                             | 3.5 kB     00:00    
  12. extras/primary_db                                                                                                                                  | 8.9 kB     00:00    
  13. rightscale-epel                                                                                                                                    |  951 B     00:00    
  14. rightscale-epel/primary                                                                                                                            |  30 kB     00:00    
  15. rightscale-epel                                                                                                                                                   101/101
  16. staging_dsc_repo                                                                                                                                   |  951 B     00:00    
  17. staging_dsc_repo/primary                                                                                                                           |  31 kB     00:00    
  18. staging_dsc_repo                                                                                                                                                  151/151
  19. updates                                                                                                                                            | 3.5 kB     00:00    
  20. updates/primary_db                                                                                                                                 | 4.1 MB     00:00    
  21. Setting up Install Process
  22. Resolving Dependencies
  23. --> Running transaction check
  24. ---> Package dsc21.noarch 0:2.1.0-1 will be installed
  25. --> Processing Dependency: cassandra21 = 2.1.0 for package: dsc21-2.1.0-1.noarch
  26. --> Running transaction check
  27. ---> Package cassandra21.noarch 0:2.1.0-1 will be installed
  28. --> Processing Dependency: java >= 1:1.7.0 for package: cassandra21-2.1.0-1.noarch
  29. --> Finished Dependency Resolution
  30. Error: Package: cassandra21-2.1.0-1.noarch (staging_dsc_repo)
  31.            Requires: java >= 1:1.7.0
  32.            Available: java-1.5.0-gcj-1.5.0.0-29.1.el6.x86_64 (base)
  33.                java = 1.5.0
  34.            Available: 1:java-1.6.0-openjdk-1.6.0.0-1.41.1.10.4.el6.x86_64 (base)
  35.                java = 1:1.6.0
  36.            Available: 1:java-1.6.0-openjdk-1.6.0.0-1.42.1.10.4.el6_2.x86_64 (updates)
  37.                java = 1:1.6.0
  38.            Available: 1:java-1.6.0-openjdk-1.6.0.0-1.43.1.10.6.el6_2.x86_64 (updates)
  39.                java = 1:1.6.0
  40.            Available: 1:java-1.6.0-openjdk-1.6.0.0-1.48.1.11.3.el6_2.x86_64 (updates)
  41.                java = 1:1.6.0
  42.  You could try using --skip-broken to work around the problem
  43. ** Found 1 pre-existing rpmdb problem(s), 'yum check' output follows:
  44. yum-3.2.29-22.el6.centos.2.noarch has missing requires of yum-plugin-fastestmirror
  45. [automaton@ip-10-183-130-10 ~]$
  46. [automaton@ip-10-183-130-10 ~]$
  47. [automaton@ip-10-183-130-10 ~]$ java -version
  48. java version "1.7.0_45"
  49. Java(TM) SE Runtime Environment (build 1.7.0_45-b18)
  50. Java HotSpot(TM) 64-Bit Server VM (build 24.45-b08, mixed mode)

Posted by Anonymous at 22 Sep 2014, 07:00:01 Etc/UTC
Language: text